From b5d5581e6d4bffe969b07978d43e3dda4b082d65 Mon Sep 17 00:00:00 2001
From: Hayato Kuroda <kuroda.hayato@fujitsu.com>
Date: Fri, 20 Jun 2025 15:44:34 +0900
Subject: [PATCH] Fix oversight by 1230be12

1230be12 introduces a test, but it can fail when -DCLOBBER_CACHE_XXX is set.
---
 .../expected/invalidation_distribution.out    | 23 +------------------
 .../specs/invalidation_distribution.spec      | 13 +----------
 2 files changed, 2 insertions(+), 34 deletions(-)

diff --git a/contrib/test_decoding/expected/invalidation_distribution.out b/contrib/test_decoding/expected/invalidation_distribution.out
index a78ea1a26c5..eb70eda9042 100644
--- a/contrib/test_decoding/expected/invalidation_distribution.out
+++ b/contrib/test_decoding/expected/invalidation_distribution.out
@@ -1,4 +1,4 @@
-Parsed test spec with 3 sessions
+Parsed test spec with 2 sessions
 
 starting permutation: s1_insert_tbl1 s1_begin s1_insert_tbl1 s2_alter_pub_add_tbl s1_commit s1_insert_tbl1 s2_get_binary_changes
 step s1_insert_tbl1: INSERT INTO tbl1 (val1, val2) VALUES (1, 1);
@@ -18,24 +18,3 @@ count
 stop    
 (1 row)
 
-
-starting permutation: s1_begin s1_insert_tbl1 s3_begin s3_insert_tbl1 s2_alter_pub_add_tbl s1_insert_tbl1 s1_commit s3_commit s2_get_binary_changes
-step s1_begin: BEGIN;
-step s1_insert_tbl1: INSERT INTO tbl1 (val1, val2) VALUES (1, 1);
-step s3_begin: BEGIN;
-step s3_insert_tbl1: INSERT INTO tbl1 (val1, val2) VALUES (2, 2);
-step s2_alter_pub_add_tbl: ALTER PUBLICATION pub ADD TABLE tbl1;
-step s1_insert_tbl1: INSERT INTO tbl1 (val1, val2) VALUES (1, 1);
-step s1_commit: COMMIT;
-step s3_commit: COMMIT;
-step s2_get_binary_changes: SELECT count(data) FROM pg_logical_slot_get_binary_changes('isolation_slot', NULL, NULL, 'proto_version', '1', 'publication_names', 'pub') WHERE get_byte(data, 0) = 73;
-count
------
-    0
-(1 row)
-
-?column?
---------
-stop    
-(1 row)
-
diff --git a/contrib/test_decoding/specs/invalidation_distribution.spec b/contrib/test_decoding/specs/invalidation_distribution.spec
index c5977b8c483..6e911d45e23 100644
--- a/contrib/test_decoding/specs/invalidation_distribution.spec
+++ b/contrib/test_decoding/specs/invalidation_distribution.spec
@@ -28,16 +28,5 @@ setup { SET synchronous_commit=on; }
 step "s2_alter_pub_add_tbl" { ALTER PUBLICATION pub ADD TABLE tbl1; }
 step "s2_get_binary_changes" { SELECT count(data) FROM pg_logical_slot_get_binary_changes('isolation_slot', NULL, NULL, 'proto_version', '1', 'publication_names', 'pub') WHERE get_byte(data, 0) = 73; }
 
-session "s3"
-setup { SET synchronous_commit=on; }
-step "s3_begin" { BEGIN; }
-step "s3_insert_tbl1" { INSERT INTO tbl1 (val1, val2) VALUES (2, 2); }
-step "s3_commit" { COMMIT; }
-
 # Expect to get one insert change. LOGICAL_REP_MSG_INSERT = 'I'
-permutation "s1_insert_tbl1" "s1_begin" "s1_insert_tbl1" "s2_alter_pub_add_tbl" "s1_commit" "s1_insert_tbl1" "s2_get_binary_changes"
-
-# Expect to get no change because both s1's and s3's transactions
-# use the snapshot from before adding the table tbl1 to the
-# publication by "s2_alter_pub_add_tbl".
-permutation "s1_begin" "s1_insert_tbl1" "s3_begin" "s3_insert_tbl1" "s2_alter_pub_add_tbl" "s1_insert_tbl1" "s1_commit" "s3_commit" "s2_get_binary_changes"
+permutation "s1_insert_tbl1" "s1_begin" "s1_insert_tbl1" "s2_alter_pub_add_tbl" "s1_commit" "s1_insert_tbl1" "s2_get_binary_changes"
\ No newline at end of file
-- 
2.47.1

